GET openApi/students/{userIdentifier}/followUpActivities?Count={Count}&Offset={Offset}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| Count | integer |
None. |
|
| Offset | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "fc4cd5ff-1cd0-4568-8346-c343891b614c",
"StudentId": "3c5174d7-4438-44b6-b0ca-421053f01cd6",
"ReporterId": "0df8d919-4cad-407a-a5d7-402fcbae5d3e",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-10-17T15:03:35.0174561+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "b33be277-7c33-4901-956f-69c8bda3c060",
"Name": "sample string 2"
}
},
{
"Id": "fc4cd5ff-1cd0-4568-8346-c343891b614c",
"StudentId": "3c5174d7-4438-44b6-b0ca-421053f01cd6",
"ReporterId": "0df8d919-4cad-407a-a5d7-402fcbae5d3e",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-10-17T15:03:35.0174561+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "b33be277-7c33-4901-956f-69c8bda3c060",
"Name": "sample string 2"
}
}
]